[![npm](https://img.shields.io/npm/v/@remotemonster/sdk.svg)](https://www.npmjs.com/package/@remotemonster/sdk)

# RemoteMonster web SDK

RemoteMonster - Livecast Management in the Cloud

- [Website](https://remotemonster.com)

## Get SDK

### Package Manager

```bash
npm i @remotemonster/sdk
```

```html
<script src="node_modules/@remotemonster/sdk/remon.min.js"></script>
```

### Static import

From [jsDelivr](https://www.jsdelivr.com)

```html
<!-- Latest -->
<script src="https://cdn.jsdelivr.net/npm/@remotemonster/sdk/remon.min.js"></script>

<!-- Specific version -->
<script src="https://cdn.jsdelivr.net/npm/@remotemonster/sdk@2.0.8/remon.min.js"></script>
```

### Downloads

- [Downloads](https://github.com/RemoteMonster/web-sdk/releases/)

## Examples

### Studio

- [demo](https://studio.remotemonster.com/)
- [source](https://github.com/RemoteMonster/remon-studio)

### Full features - Livecast

- [demo](https://remotemonster.github.io/web-sdk/examples/full-livecast/)
- [source](https://github.com/RemoteMonster/web-sdk/tree/master/examples/full-livecast/)

### Full features - Communication

- [demo](https://remotemonster.github.io/web-sdk/examples/full-communication/)
- [source](https://github.com/RemoteMonster/web-sdk/tree/master/examples/full-communication/)

### Simple - Livecast

- [cast - demo](https://remotemonster.github.io/web-sdk/examples/simple-livecast-cast/)
- [cast - source](https://github.com/RemoteMonster/web-sdk/tree/master/examples/simple-livecast-cast/)
- [watch - demo](https://remotemonster.github.io/web-sdk/examples/simple-livecast-watch/)
- [watch - source](https://github.com/RemoteMonster/web-sdk/tree/master/examples/simple-livecast-watch/)

### Simple - Communication

- [demo](https://remotemonster.github.io/web-sdk/examples/simple-communication/)
- [source](https://github.com/RemoteMonster/web-sdk/tree/master/examples/simple-communication/)

## Documents

- [Guides](https://docs.remotemonster.com/)
- [API Reference](https://remotemonster.github.io/web-sdk/docs/)

## Changelog

- [Changelog](https://github.com/RemoteMonster/web-sdk/blob/master/CHANGELOG.md)
